post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method allows you to uninstall the agent from your device. The 'accountid' must be passed as a query parameter.
| Key Name | Meaning | Mandatory | Data Type |
|---|---|---|---|
| hostname | Hostname of the device from which the Saner agent needs to be uninstalled | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Device.uninstallAgent(
hostname="DemoHost"
)
print(response)
client.close()Requires Python 3.9 or later.